/*
    INDEX.HTML (LOGIN)
*/

.body-login{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    padding: 0;
    background-image: url(./imagenes/fondo.png);
    background-repeat: no-repeat;
    background-size: cover;
}

header{
    display: block;
    text-align: center;
    box-sizing: border-box;
    margin: 0;
    width: 100%;
}

header span{
    font-size: 1.5rem;
}

header h1{
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: #003358;
}

.body-login hr{
    width: 7%;
    border: 1px solid #DD9F09;
}

header p{
    font-family: sans-serif;
    font-size: 1.1rem;
    font-weight: 400;
    color: #525964;
    
}

main{
    font-family: sans-serif;
    max-width: 1200px;
    width: 100%;
    margin: 0 auto;
}

.incio-sesion-container{
    display: block;
    width: 100%;
    max-width: 450px;
    padding: 40px;
    border-radius: 12px;
    box-shadow: 0 5px 10px rgb(0, 0, 0);
    margin: 0 auto;
    box-sizing: border-box;
}

h2{
    font-family: sans-serif;
    font-weight: 500;
    display: block;
    text-align: center;
    color: #001C3F;
}

form hr{
    width: 20%;
    border: 1px solid #DD9F09;
}

.formulario{
    display: block;
    margin-bottom: 20px;
}

label{
    display: block;
    font-weight: 400;
    color: #525964;
    margin-bottom: 8px;
    font-weight: 600;
    font-size: 14px;
}

.input-icono{
    position: relative;
    width: 100%;
}

.input-icono i{
    position: absolute;
    left: 10px;
    top: 50%;
    transform: translateY(-50%);
    color: #888;
}

input[type="email"],
input[type="password"]{
    display: block;
    width: 100%;
    padding: 10px 10px 10px 35px;
    border: 1px solid #ccc;
    border-radius: 8px;
    box-sizing: border-box;
    font-size: 16px;
    transition: border-color 0.2s;
}

input[type="email"]:focus,
input[type="password"]:focus{
    outline: none;
    border-color: #4a90e2;
}

.opciones{
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    margin-bottom: 25px;
    font-size: 14px;
}

.recordar{
    display: block;
    cursor: pointer;
}

.recordar input{
    vertical-align: middle;
    margin-right: 5px;
}

.olvidar-contraseña{
    display: block;
    text-decoration: none;
    color: #013D63;
}

.olvidar-contraseña:hover{
    text-decoration: underline;
}

input[type="submit"]{
    display: block;  
    width: 100%;
    padding: 14px;
    background-color: #013D63;
    color: white;
    border: none;
    border-radius: 8px;
    font-size: 16px;
    font-weight: 500;
    letter-spacing: 1px;
    cursor: pointer;
    transition: background-color 0.2s;
}

input[type="submit"]:hover{
    background-color: rgba(14, 85, 129, 0.9);
}




/*
    AGRADECIMIENTOS.HTML
*/

.body-agr{
    background-color: #FCF9F8;
    padding: 0;
    margin: 0;
}

.agr{
    width: 15%;
    border: 1px solid #DD9F09;
}

nav{
    display: flex;
    flex-direction: row;
    gap: 3rem;
    justify-content: center;
    align-items: center;
    background-color: #FDF7EE;
    height: 3rem;
    box-sizing: content-box;
    border: 1px solid #F5ECE4;
    font-family: sans-serif;
    margin-top: 1rem;
}

nav a{
    text-decoration: none;
    color: #445A6A;
}

nav div{
    display: grid;
    place-items: center;
    height: 3rem;
    transition: 0.3s;
    box-sizing: content-box;
}

nav div:hover{
    border-bottom: 2px solid #ED9D35;
    transition: 0.3s;
    
}





